JexlException.Throw (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, class: Throw

Package org.apache.commons.jexl3

# Class JexlException.Throw

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Throw

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.Throw extends JexlException
Thrown to throw a value.

Since:
  3.3.1
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Throw(org.apache.commons.jexl3.parser.JexlNode node, Object value)`
  Creates a new instance of Throw.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getValue()`
  Gets the thrown value

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, detailedMessage, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Throw

    public Throw(org.apache.commons.jexl3.parser.JexlNode node, Object value)
    Creates a new instance of Throw.
    Parameters:
      `node` - the throw node
      `value` - the thrown value

- ## Method Details

  - ### getValue

    public Object getValue()
    Gets the thrown value
    Returns:
      the thrown value